aboutsummaryrefslogtreecommitdiffhomepage
path: root/debian/prerm
diff options
context:
space:
mode:
authorGravatar David Adam <zanchey@ucc.gu.uwa.edu.au>2015-07-02 15:06:05 +0800
committerGravatar David Adam <zanchey@ucc.gu.uwa.edu.au>2015-07-09 12:07:44 +0800
commit0effcf6df1b3ba2e186b19c8372d942516be14a4 (patch)
tree431478a08c467d99b553e85238230e792216c730 /debian/prerm
parenta5fabc6875747ca35a14f3d6f15f2ce6e608ba39 (diff)
debian packaging: maintain in fish-shell tree
Imported from https://github.com/zanchey/fish-build/ Work on #2020. Note that this is explicitly removed from `git archive` tarballs due to https://wiki.debian.org/UpstreamGuide#Pristine_Upstream_Source
Diffstat (limited to 'debian/prerm')
-rw-r--r--debian/prerm46
1 files changed, 46 insertions, 0 deletions
diff --git a/debian/prerm b/debian/prerm
new file mode 100644
index 00000000..ac2029b5
--- /dev/null
+++ b/debian/prerm
@@ -0,0 +1,46 @@
+#!/bin/sh
+# prerm script for fish
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <prerm> `remove'
+# * <old-prerm> `upgrade' <new-version>
+# * <new-prerm> `failed-upgrade' <old-version>
+# * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+# * <deconfigured's-prerm> `deconfigure' `in-favour'
+# <package-being-installed> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+remove_shell() {
+ if ! type remove-shell > /dev/null 2>&1; then
+ return
+ fi
+
+ remove-shell /usr/bin/fish
+}
+
+case "$1" in
+ remove|deconfigure)
+ remove_shell
+ ;;
+
+ upgrade|failed-upgrade)
+ ;;
+
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0